Subject: Re: [PATCH 0/2] rebase: stop setting GIT_REFLOG_ACTION

From: Taylor Blau <[email-masked]>
Date: Mon, 7 Nov 2022 14:56:13 -0500

On Mon, Nov 07, 2022 at 04:51:38PM +0100, Ævar Arnfjörð Bjarmason wrote:
>
> On Fri, Nov 04 2022, Taylor Blau wrote:
>
> > On Fri, Nov 04, 2022 at 03:19:00PM +0000, Phillip Wood via GitGitGadget wrote:
> >> This is a follow up to pw/rebase-reflog-fixes that moves away from using
> >> GIT_REFLOG_ACTION internally. This conflicts with patches 12 & 14 in [1]. As
> >> this series replaces the code being changed in those patches I think the
> >> best solution would be to just drop them.
> >
> > Thanks, I appreciate the updated round.
> >
> > The conflict you noted in [1] is a perfect example of why I dislike
> > queuing sweeping leak cleanups like in that series. Those two patches
> > need to get dropped in order to queue this series. OK, except what
> > happens if a different part of [1] marks a test as leak-free when that
> > is no longer the case because of something in this series?
>
> I'm about to rebase my v2 on this topic, which I think is the best way
> forward, so this is about to become a moot point.
>
> But I think this is a good example of why it's better to solve the merge
> conflict rather than dropping patches from one topic:
>
> In this case the merge conflict is trivial to solve: Keep the side of
> this topic over mine, and after remove the one function call the
> compiler was alerting about.

I agree that it is better to solve the merge conflict. But doing so is
time consuming, especially in a series which is unfamiliar to me. I
appreciate you sending a debased version.

Thanks,
Taylor